# Class CIM_DNSSettingData
extends CIM_IPAssignmentSettingData

DNSSettingData defines the DNSconfiguration settings for a single IP network connection. With the exception of the the DNSServerAddresses and the hostname in use, the configuration of a DNSProtocolEndpoint is indicated by the properties of an associated instance of DNSSettingData.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_SettingData
|
+--CIM_IPAssignmentSettingData
|
+--CIM_DNSSettingData

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | DNSSettingData defines the DNSconfiguration settings for a single IP network connection. With the exception of the the DNSServerAddresses and the hostname in use, the configuration of a DNSProtocolEndpoint is indicated by the properties of an associated instance of DNSSettingData.
UMLPackagePath | string | CIM::Network::DNS
Version | string | 2.18.1

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
AddressOrigin | uint16 | 2
Description | string | AddressOrigin identifies the method by which the IP Address, Subnet Mask, and Gateway were assigned to the IPProtocolEndpoint. This is independent of the DNS configuration, thus this property has the value of 2 ("Not Applicable")
Override | string | AddressOrigin
ValueMap | string | 0..1, 2, 3..32767, 32768..
Values | string | DMTF Reserved, Not Applicable, DMTF Reserved, Vendor Reserved
DomainName | string |
Description | string | The domain to use for this client connection.
ModelCorrespondence | string | CIM_DNSProtocolEndpoint.DomainName
Write | boolean | true
RegisterThisConnectionsAddress | boolean |
Description | string | Whether or not this connection's address should be registered in DNS.
ModelCorrespondence | string | CIM_DNSProtocolEndpoint.RegisterThisConnectionsAddress
RequestedHostname | string |
Description | string | The Hostname requested for this client connection.
ModelCorrespondence | string | CIM_DNSProtocolEndpoint.Hostname
Write | boolean | true
UseSuffixWhenRegistering | boolean |
Description | string | Whether or not the suffix should be appended before registering the client name with the DNS server.
ModelCorrespondence | string | CIM_DNSProtocolEndpoint.UseSuffixWhenRegistering
DHCPOptionsToUse | uint16[] |
Description | string | One or more DHCP options that the DNS client should utilise if they are returned during a DHCP bind operation.
ModelCorrespondence | string | CIM_DHCPProtocolEndpoint.OptionsReceived, CIM_DNSProtocolEndpoint.DHCPOptionsToUse
ValueMap | string | 8, 14, 17, 18..32767, 32768..65535
Values | string | Domain Name Server, Host Name, Domain Name, DMTF Reserved, Vendor Reserved
DNSServerAddresses | string[] |
ArrayType | string | Ordered
Description | string | The DNS servers to contact. The array ordering correlates to the order in which the DNS servers will be contacted. The RemoteServiceAccessPoints associated with the DNSProtocolEndpoint with the value of the AccessContext property being "DNS Server" represent the actual DNS Servers being utilized by the DNS client.
Write | boolean | true

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
ChangeableType | uint16 | CIM_SettingData
ConfigurationName | string | CIM_SettingData
Description | string | CIM_ManagedElement
ElementName | string | CIM_SettingData
InstanceID | string | CIM_SettingData
ProtocolIFType | uint16 | CIM_IPAssignmentSettingData

## Class Methods